Loading...
Searching...
No Matches
ExceptionBasedErrorHandler Class Reference

`#include <Poly.h>`

## Static Public Member Functions

static void | handleDifferentRing (ring r, ring s)

## Static Public Attributes

static const bool | handleErrors =true

## Detailed Description

Definition at line 23 of file Poly.h.

## Member Function Documentation

## handleDifferentRing()

void ExceptionBasedErrorHandler::handleDifferentRing | ( | ring | r,
|  | ring | s )

inline static

Definition at line 27 of file Poly.h.

{
PrintS("throwing");
throw DifferentDomainException();
}
PrintS
void PrintS(const char *s)
Definition reporter.cc:288

## Field Documentation

## handleErrors

const bool ExceptionBasedErrorHandler::handleErrors =true

static

Definition at line 26 of file Poly.h.

The documentation for this class was generated from the following file:

- Singular/dyn_modules/python/Poly.h